VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
DispatchList< T > Class Template Reference

## Public Member Functions
| DispatchList ()=default
void | add (const T &obj)
void | add (T &&obj)
void | remove (const T &obj)
void | remove (T &&obj)
bool | empty () const
template<typename Procedure >
void | forEach (Procedure proc)
template<typename Procedure , typename Condition >
void | forEach (Procedure proc, Condition condition)
template<typename Procedure >
void | forEachReverse (Procedure proc)
template<typename Procedure , typename Condition >
void | forEachReverse (Procedure proc, Condition condition)

## Constructor & Destructor Documentation

DispatchList | ( |  | ) |
| default

## Member Function Documentation

void add | ( | const T & | obj | ) |
| inline

void add | ( | T && | obj | ) |
| inline

bool empty | ( |  | ) | const
| inline

void forEach | ( | Procedure | proc | ) |
| inline

void forEach | ( | Procedure | proc,
|  | Condition | condition
| ) |  |
| inline

void forEachReverse | ( | Procedure | proc | ) |
| inline

void forEachReverse | ( | Procedure | proc,
|  | Condition | condition
| ) |  |
| inline

void remove | ( | const T & | obj | ) |
| inline

void remove | ( | T && | obj | ) |
| inline

The documentation for this class was generated from the following file:

- dispatchlist.h